Bug 97814 - "Incorrectly built binary which accesses errno..." message in elf/rtld.c needs some way to be silenced.
Summary: "Incorrectly built binary which accesses errno..." message in elf/rtld.c need...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-22 01:17 UTC by Phil D'Amore
Modified: 2016-11-24 15:25 UTC (History)
5 users (show)

Fixed In Version: 2.3.2-49
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-24 13:26:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC

Description Phil D'Amore 2003-06-22 01:17:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
Starting in RHL 9, glibc starts printing a warning message:

"Incorrectly built binary which accesses errno, h_errno or _res directly. Needs
to be fixed."

on STDOUT for some programs that were built before RHL 9.  One example of this
is Veritas NetBackup.  NetBackup's processes are started by xinetd.  xinetd of
course takes data to be sent over the wire to the client from the server
processes' STDOUT.  So, when glibc adds this uninvited bit of text to the STDOUT
stream, all hell breaks loose if the process is not expecting this to happen,
and seriously, why would it?

Ok, ok, we get the picture.  The program is written wrong.  Chances are that for
some software it will be a while before it can be fixed, so please give me a way
to stop glibc from cramming uninvited data down my STDOUT.  Most things only
expect program output from STDOUT, and errors go to STDERR.  Isn't that what
STDERR is for?

Please either give me a way to stop this message from printing (what I would
prefer), perhaps an environment variable like
YES_I_KONW_MY_PROGRAM_IS_BROKEN_SHUT_UP_ALREADY, or send the message to STDERR
where I may have a better chance of it not interfering with my xinetd-based
applications.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run a program that was built before RHL 9 (i.e. Veritas NetBackup)
2.  Observe that a warning is printed by glibc on STDOUT.

Additional info:

Comment 1 Jakub Jelinek 2003-06-24 13:26:35 UTC
This has been changed to stderr in glibc-2.3.2-49 and later in rawhide.

Comment 2 GALLARD Nicolas 2003-08-14 16:55:35 UTC
where to find glibc-2.3.2-49 ?

thanks

Comment 3 Michael Lee Yohe 2003-08-22 16:01:42 UTC
Rawhide is the repository of the latest and greatest (but possible unstable)
packages that Red Hat produces.  You can find rawhide in any Red Hat mirror like
the following:

ftp://mirror.hiwaay.net/redhat/redhat/linux/rawhide/i386/RedHat/RPMS/


Note You need to log in before you can comment on or make changes to this bug.